# EpomNg2UiFoundation

This library was generated with [Angular CLI](https://github.com/angular/angular-cli) version 14.2.0.
More information about [angular libraries](https://angular.io/guide/creating-libraries)

## Build

Run `ng build epom-ng2-ui-foundation` to build the project. The build artifacts will be stored in the `dist/epom-ng2-ui-foundation` directory.

## Publishing

After building your library with `ng build epom-ng2-ui-foundation`, go to the dist folder `cd dist/epom-ui-foundation` and run `npm publish`.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.io/cli) page.

## Important:
-Run `ng build epom-ng2-api-service` to build the project
-npm publish

## Test/debug and publish new version:

Install library locally for fixing and debug, fo this follow next steps:
- clone the library
- go to the epom-dsp-ui -> package.json
- change the version to `"epom-ui-foundation": "file:PATH_TO_THE_LIBRARY"` (ex:"epom-ui-foundation": "file:./libraries/epom-ng2-ui-foundation")
- open epom-dsp-ui -> tsconfig.app.json
- change the epom-ui-foundationn path to "epom-ui-foundation": ["PATH_TO_THE_LIBRARY"] (ex: epom-ui-foundation ["./libraries/epom-ng2-ui-foundation"])
- delete node_modules 
- npm i
- ng serve DSP project
- after fix change version in epom-ng2-ui-foundation -> package.json
- Build the project `ng build epom-ng2-ui-foundation`
- go to the dist folder `cd dist/epom-ng2-ui-foundation` -> open in terminal -> `npm publish`
- go to the epom-dsp-ui -> package.json 
- change the version to the new one
- open epom-dsp-ui -> tsconfig.app.json
- change the path back "epom-ui-foundation": ["node_modules/epom-ui-foundation"]
- delete node_modules 
- npm i
- ng serve DSP project

## Read more:
- [API Service](./src/lib/api-service/README.md)
- [Breadcrumbs Service](./src/lib/breadcrums-service/README.md)
- [Charts](./src/lib/charts/README.md)
- [Credential Service](./src/lib/credentials-service/README.md)
- [Custom Select](./src/lib/custom-select/README.md)
- [Data Range Picker](./src/lib/datarangepicker/README.md)
- [Date Range Picker](./src/lib/daterangepicker/README.md)
- [Delayed Actions](./src/lib/delayedactions/README.md)
- [Diagrams](./src/lib/diagrams/README.md)
- [Dropdown](./src/lib/dropdown/README.md)
- [Header](./src/lib/header/README.md)
- [HTML Meta Service](./src/lib/html-meta-service/README.md)
- [Keyboard Service](./src/lib/keyboard-service/README.md)
- [Language Service](./src/lib/language-service/README.md)
- [Logger](./src/lib/logger/README.md)
- [Mediators](./src/lib/mediators/README.md)
- [Notifier](./src/lib/notifier/README.md)
- [Paginator](./src/lib/paginator/README.md)
- [Pipes And Directives](./src/lib/pipes-directives/README.md)
- [Popup](./src/lib/popup/README.md)
- [PubSub Service](./src/lib/pubsub-service/README.md)
- [Resource Service](./src/lib/resources-service/README.md)
- [Spinners](./src/lib/spinners/README.md)
- [Storage Service](./src/lib/storage-service/README.md)
- [Sub Menu](./src/lib/sub-menu/README.md)
- [Table](./src/lib/table/README.md)
- [Tags Input](./src/lib/tags-input/README.md)
- [Terms](./src/lib/terms/README.md)
- [Token Service](./src/lib/token-service/README.md)
- [URL Param Service](./src/lib/url-params-service/README.md)
- [Validators](./src/lib/validators/README.md)
