# epom-ng2-styles
##### Default styles for angular 2 projects
#### Twitter bootstrap + Sergiichuk icons + additional CSS
### No Input props (@Input)
### No Output props (@Output)

### Requirements:
`Works at`
```
    "@angular/cli": "^1.5.0",
    "@angular/compiler-cli": "^2.4.0",
```

### Installation:

# package.json
```
"epom-ng2-styles": "1.0.3",
```

##### For Angular 5.x:
Version > 1.7.x
# .angular-cli.json
#### (styles and stylePreprocessorOptions properties)
```
"prefix": "app",
"styles": [
  "../node_modules/epom-ng2-styles/common.css",
  "styles.css"
],
"stylePreprocessorOptions": {
  "includePaths": [
    "../node_modules/epom-ng2-styles/"
    ]
  },
"scripts": [],
```

##### For Angular 14.x:
Version > 2.x
# angular.json
`  
"options": {
  "styles": [
   "node_modules/epom-ng2-styles/main.sass",
   ],
`
