import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DropdownComponentClass implements AfterViewInit, OnDestroy {
    private _eref;
    private renderer;
    toggleButton: HTMLButtonElement;
    position: string;
    marginTop: string;
    width: string;
    state: {
        visible: boolean;
        readyToClose: boolean;
    };
    closeDropdownOnSelection: boolean;
    close: EventEmitter<any>;
    visibilityChange: EventEmitter<boolean>;
    onDocumentClick(event: any): void;
    private onButtonClick;
    constructor(_eref: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownComponentClass, "epom-dropdown", never, { "toggleButton": "toggleButton"; "position": "position"; "marginTop": "marginTop"; "width": "width"; "state": "state"; "closeDropdownOnSelection": "closeDropdownOnSelection"; }, { "close": "close"; "visibilityChange": "visibilityChange"; }, never, ["*"], false>;
}
