import { IPopupDefault } from './popup.interface';
export declare const POPUP_DEFAULTS: {
    WIDTH: IPopupDefault.Width;
    BUTTONS: IPopupDefault.Buttons;
};
export declare const STRIPE_CARD_OPTIONS: {
    base: {
        color: string;
        fontWeight: number;
        fontFamily: string;
        fontSize: string;
        fontSmoothing: string;
        '::placeholder': {
            color: string;
        };
        ':-webkit-autofill': {
            color: string;
        };
    };
    invalid: {
        color: string;
        '::placeholder': {
            color: string;
        };
    };
};
export declare const STRIPE_ELEMENTS_OPTIONS: {
    focus: string;
    empty: string;
    invalid: string;
};
export declare const USE_3D_SECURE: string[];
export declare const CONDITIONS_LIST: {
    name: string;
    value: string;
    iconClass: string;
}[];
export declare const CONDITIONS_METRIC_LIST: {
    name: string;
    value: string;
    iconClass: string;
}[];
export declare const POPUP_MESSAGES: {
    ARCHIVING_PAUSE: string;
    ACTION_CANNOT_BE_UNDONE: string;
};
