export declare type FormConfigPopup = {
    name: string;
    selected: boolean;
};
export declare type UserActivityViewObjectType = {
    datetime: string;
    userName: string;
    userLogin: string;
    accountId: string;
    changed: string;
    details: string;
    system: string;
    entityId: string;
    operation?: string;
    fieldDiffs: Array<FieldDiffsType>;
    callResult: Array<FieldDiffsType>;
    callResultParsed: ParsedFieldDiffsType;
};
export declare type FieldDiffsType = {
    after: string;
    before: string;
    field: string;
};
export declare type ParsedFieldDiffsType = {
    feature: string;
    newState: {
        name: string;
    };
};
export declare type CheckboxGroupPopupType = {
    name: string;
    checked: boolean;
    value?: string;
};
export declare type CattaxCategoryInterface = {
    value: number;
    description: string;
    name?: string;
    children?: Array<CattaxCategoryInterface>;
    hidden?: boolean;
    expandable?: boolean;
    level?: boolean;
    isExpand?: boolean;
    include?: boolean;
    has_children?: boolean;
};
