import { Observable } from 'rxjs';
import { StorageService } from './../storage-service';
import { ApiService } from './../api-service';
import * as i0 from "@angular/core";
export declare class ResourcesService {
    private storageService;
    private api;
    constructor(storageService: StorageService, api: ApiService);
    loadAsResource<T>(resourceURI: string, resourceName: string, options?: any): Observable<T>;
    getGeoFromIp2Data(link: string, code: string, limit?: number): Observable<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResourcesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResourcesService>;
}
