import { Renderer2, AfterContentInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { Config } from '../../spinner.types';
import { SpinnerService } from '../../spinner.service';
import * as i0 from "@angular/core";
export declare class SpinnerTablePlaceholderComponent implements AfterContentInit {
    spinnerService: SpinnerService;
    protected renderer: Renderer2;
    isOpened: boolean;
    private spinnerEventSubscription;
    private logger;
    placement: string;
    config: Config;
    toggleFadeElement: any;
    autoopen: boolean;
    subscription: Subscription[];
    constructor(spinnerService: SpinnerService, renderer: Renderer2);
    toggleElement(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    placeholderElements: Array<Array<{
        subItems: Array<number>;
        alignClass: string;
    }>>;
    private defaultPlaceholderLinesCount;
    private generatePlaceholderLines;
    private generateArrayForSubItems;
    ngAfterContentInit(): void;
    cancelRequest(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerTablePlaceholderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerTablePlaceholderComponent, "epom-spinner-table-placeholder", never, { "placement": "placement"; "config": "config"; "toggleFadeElement": "toggleFadeElement"; "autoopen": "autoopen"; "subscription": "subscription"; }, {}, never, never, false>;
}
