import { AfterViewInit, Injector, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Terms } from './Terms.types';
import { TermsType } from './Terms.enums';
import * as i0 from "@angular/core";
export declare class TermsButton implements AfterViewInit {
    private changeDetectorRef;
    config: Terms;
    configStream: BehaviorSubject<Terms>;
    type: TermsType;
    private termsStrategy;
    title: string;
    private getCurrentStrategy;
    constructor(injector: Injector, changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    openTerms(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TermsButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TermsButton, "terms", never, { "config": "config"; "configStream": "configStream"; "type": "type"; }, {}, never, never, false>;
}
