import { IPopupSettings } from '../popup';
declare type ConfigTerms = {
    text?: string;
    title: string;
    width?: 'lg' | 'md' | 'sm';
};
declare type RouteParams = {
    path?: Array<string>;
    params?: {
        [key: string]: string;
    };
};
export declare type ConfigTermsRedirect = ConfigTerms & {
    link?: RouteParams | string;
};
export declare type ConfigTermsPopup = ConfigTerms & {
    popupSettings?: IPopupSettings;
};
export declare type Terms = ConfigTermsPopup | ConfigTermsRedirect;
export {};
