export declare enum CreativeApproval {
    APPROVED = 0,
    PENDING_APPROVAL = 1,
    DISAPPROVED = 2
}
export declare enum apiKeys {
    CATEGORY = 0,
    FOLD_POSITION = 1,
    CONNECTION_TYPE = 2,
    CARRIER = 3,
    DEVICE_TYPE = 4,
    TRAFFIC_TYPE = 5,
    INTERSTITIAL = 6,
    VIDEO_MIME = 7,
    VIDEO_COMPANION_TYPE = 8,
    VIDEO_PROTOCOL = 9,
    VIDEO_API = 10,
    VIDEO_REWARDED = 11,
    VIDEO_MIN_DURATION = 12,
    VIDEO_MAX_DURATION = 13,
    BANNER_API = 14
}
export declare enum creativeTypes {
    BANNER,
    POP,
    VIDEO,
    NATIVE,
    PUSH,
    INTERSTITIAL
}
export declare enum bannerTypes {
    TAG,
    FILE,
    UPLOAD
}
export declare enum ORIENTATION_TYPES {
    VERTICAL = "VERTICAL",
    HORIZONTAL = "HORIZONTAL"
}
export declare enum bannerStatusType {
    ACTIVE = "active",
    PAUSED = "paused",
    ARCHIVED = "archived"
}
export declare enum bannerIncluded {
    TARGETING_DEVICE_TYPE = "TARGETING_DEVICE_TYPE",
    TARGETING_TRAFFIC_TYPE = "TARGETING_TRAFFIC_TYPE",
    TARGETING_FOLD_POSITION = "TARGETING_FOLD_POSITION",
    TARGETING_CONNECTION_TYPE = "TARGETING_CONNECTION_TYPE",
    TARGETING_CATEGORY = "TARGETING_CATEGORY",
    TARGETING_BANNER_API = "TARGETING_BANNER_API"
}
export declare enum nativeIncluded {
    TARGETING_DEVICE_TYPE = "TARGETING_DEVICE_TYPE",
    TARGETING_TRAFFIC_TYPE = "TARGETING_TRAFFIC_TYPE",
    TARGETING_CONNECTION_TYPE = "TARGETING_CONNECTION_TYPE",
    TARGETING_CATEGORY = "TARGETING_CATEGORY"
}
export declare enum popupIncluded {
    TARGETING_DEVICE_TYPE = "TARGETING_DEVICE_TYPE",
    TARGETING_TRAFFIC_TYPE = "TARGETING_TRAFFIC_TYPE",
    TARGETING_CONNECTION_TYPE = "TARGETING_CONNECTION_TYPE",
    TARGETING_CATEGORY = "TARGETING_CATEGORY"
}
export declare enum videoIncluded {
    TARGETING_DEVICE_TYPE = "TARGETING_DEVICE_TYPE",
    TARGETING_TRAFFIC_TYPE = "TARGETING_TRAFFIC_TYPE",
    TARGETING_FOLD_POSITION = "TARGETING_FOLD_POSITION",
    TARGETING_CONNECTION_TYPE = "TARGETING_CONNECTION_TYPE",
    TARGETING_CATEGORY = "TARGETING_CATEGORY",
    TARGETING_VIDEO_MIN_DURATION = "TARGETING_VIDEO_MIN_DURATION",
    TARGETING_VIDEO_MAX_DURATION = "TARGETING_VIDEO_MAX_DURATION",
    TARGETING_VIDEO_COMPANION_TYPE = "TARGETING_VIDEO_COMPANION_TYPE",
    TARGETING_VIDEO_MIME = "TARGETING_VIDEO_MIME",
    TARGETING_VIDEO_PROTOCOL = "TARGETING_VIDEO_PROTOCOL",
    TARGETING_VIDEO_API = "TARGETING_VIDEO_API",
    TARGETING_VIDEO_REWARDED = "TARGETING_VIDEO_REWARDED",
    TARGETING_INTERSTITIAL = "TARGETING_INTERSTITIAL"
}
