export declare type Supervisor = {
    name: string;
    id: string;
    link: string;
    linkAction: boolean;
};
export declare type SharedUser = {
    name: string;
    email: string;
    accountId: string;
    hidden: boolean;
};
export declare type SupervisorSettingsUpdateData = {
    supervisorAccountId?: string;
    overrideSupervisedAccountIds?: boolean;
    supervisedAccountIds?: Array<string>;
};
export declare type SupervisorSettings = {
    supervisor?: DspUserInfo;
    supervisedAccounts?: Array<DspUserInfo>;
};
export declare type DspUserInfo = {
    accountId?: string;
    firstName?: string;
    lastName?: string;
    active?: boolean;
};
export declare type Owner = {
    email?: string;
    firstName: string;
    id: string;
    lastName: string;
    status?: 'ACTIVE' | 'DISABLED';
};
