Example:   
```html

<div class="dropdown-wrapper">
  <button class="button dropdown-toggle" #buttonToggle type="button"
          [class.open]="dropdownVisible">
    <span class="dropdown-title">Title:</span> {{ TITLE }}
    <span class="material-icons material-icons-outlined">arrow_drop_down</span>
  </button>
  <epom-dropdown [toggleButton]="buttonToggle" (visibilityChange)="dropdownVisible = $event">
    <ul class="dropdown dropdown-left">
      <li *ngFor="let item of itemList">
        <a [class.active]="checkForActiveItem(item)" (click)="addToActive(item)">{{ item.name }}</a>
      </li>
    </ul>
  </epom-dropdown>
</div>
```
