import { ElementRef, OnChanges, OnInit } from '@angular/core';
import * as Highcharts from 'highcharts';
import { DiagramsService } from '../../DiagramsService';
import * as i0 from "@angular/core";
export declare class LinearComponent implements OnInit, OnChanges {
    private diagramsService;
    placement: string;
    name: string;
    additionalProperty: string;
    customConfig: any;
    linearChart: ElementRef;
    private charts$;
    private charts;
    private total;
    highchart: typeof Highcharts;
    private chartInstance;
    sections: any[];
    private chartViewType;
    selectedSection: string | null;
    dropdownVisible: boolean;
    private sectionSortOrder;
    constructor(diagramsService: DiagramsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    private sortSections;
    private getSections;
    private configurateAndBuildCharts;
    private buildHighChartsLinearConfig;
    private buildChart;
    private changeChartView;
    changeCurrentSection(section: string): void;
    private applyChanges;
    getSelectedSectionName(): any;
    seriesClickHandler(): {
        events: {
            legendItemClick(event: any): boolean;
        };
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<LinearComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinearComponent, "linear", never, { "placement": "placement"; "name": "name"; "additionalProperty": "additionalProperty"; "customConfig": "customConfig"; }, {}, never, never, false>;
}
