export declare const MESSAGES: {
    PLANING_ALL_FILTERS_ERROR: string;
    PLANING_ALL_FILTERS_ADDED: string;
    PLANING_FILTERS_ADDED_WITH_ERRORS: string;
    USER_SAVED: string;
    PASSWORD_RESET: string;
    USER_REMOVED: string;
    USER_CREATED: string;
    USER_ERROR_CREATING: string;
    USER_ERROR_EDITING: string;
    USER_PASSWORD_SAVED: string;
    USER_PASSWORD_ERROR: string;
    INVALID_FIRST_NAME: string;
    INVALID_LAST_NAME: string;
    INVALID_EMAIL: string;
    INVALID_PASSWORD: string;
    PASSWORD_DOESNT_MATCH: string;
    LOGIN_ALREADY_REGISTERED: string;
    EMAIL_ALREADY_USED: string;
    SETTINGS_TOKEN_IS_WRONG: string;
    SETTINGS_TOKEN_IS_EXPIRED: string;
    SETTINGS_TOKEN_IS_DISABLED: string;
    SETTINGS_ACCOUNT_IS_WAITING_FOR_APPROVAL: string;
    SETTINGS_ACCOUNT_IS_REJECTED: string;
    SETTINGS_ACCOUNT_IS_DISABLED: string;
    SETTINGS_ACCOUNT_IS_DELETED: string;
    ERROR_GETTING_FILTERS_LIST: string;
    ERROR_DELETING_FILTER: string;
    ERROR_CREATING_LIST: string;
    ERROR_EDITING_LIST: string;
    ERROR_WHILE_GETTING_SINGLE_FILTER: string;
    ERROR_WHILE_DELETING_SINGLE_FILTER: string;
    ERROR_WHILE_CREATING_SINGLE_FILTER: string;
    ERROR_400: string;
    ENDPOINT_CREATED: string;
    ENDPOINT_EDIT_SUCCESSFUL: string;
    ENDPOINT_CREATE_ERROR: string;
    ENDPOINT_SAVE_ERROR: string;
    ENDPOINT_GET_LIST_ERROR: string;
    ERROR_WHILE_GETTING_SSPS_LIST: string;
    ERROR_CREATING_OR_EDITING_SSP: string;
    ERROR_DELETING_SSP: string;
    ADDED_SUCCESSFULLY: string;
    DELETED_SUCCESSFULLY: string;
    LINKED_SUCCESSFULLY: string;
    UNLINKED_SUCCESSFULLY: string;
    ERROR_LINK_SSP: string;
    ERROR_UNLINK_SSP: string;
    ERROR_EMPTY_UNLINK: string;
    ERROR_INVALID_FORM: string;
    IMPRESSIONS: string;
    CLICKS: string;
    CONVERSIONS: string;
    ECPM: string;
    AD_SPEND: string;
    CONVERSE: string;
    SPENDING: string;
    MORE_STATS: string;
    GET_TILES_ERROR: string;
    GET_CHARTS_ERROR: string;
    '7_DAYS_PERF': string;
    TABLE_DATE: string;
    TABLE_SOURCE: string;
    TABLE_CAMPAIGN: string;
    TABLE_BANNER: string;
    TABLE_SOURCE_STATUS: string;
    ACTIONS: string;
    NO_BLOCKED_YET: string;
    SOURCE_UNBLOCK_SUCCESS: string;
    SOURCE_UNBLOCK_ERROR: string;
    ALL_CAMPAIGN_NUM_BANNERS: string;
    ALL_NUM_BANNERS: string;
    ALL_NUM_CAMPAIGNS: string;
    BLOCKED_CANNOT_LOAD: string;
    RESTORE_RESOURCE: string;
    SETTINGS_USER_INFORMATION_ERROR: string;
    SETTINGS_CHANGE_PASSWORD_CONFIRM_FAILED: string;
    SETTINGS_CHANGE_PASSWORD_CHANGED: string;
    SETTINGS_CHANGE_PASSWORD_NETWORK_ERROR: string;
    SETTINGS_DELETE_ROLE_FAILED: string;
    SETTINGS_DELETE_ROLE_OK: string;
    CANNOT_LOAD_DATA: string;
    USER_INFO: string;
    CHANGE_PASSWORD: string;
    CURRENT_PASSWORD: string;
    NEW_PASSWORD: string;
    CONFIRM_NEW_PASSWORD: string;
    CREATIVES_ERROR_GET_LIST: string;
    CREATIVES_ERROR_GET_SINGLE: string;
    CREATIVES_ERROR_GET_CAMPAIGNS: string;
    CREATIVE_CREATED: string;
    CREATIVE_EDITED: string;
    CREATIVES_ERROR_WHEN_CHANGE_STATUS: string;
    MODERATION_SUCCESS: string;
    MODERATION_ERROR: string;
    CAMPAIGN_CREATED: string;
    CAMPAIGN_NOT_CREATED: string;
    CAMPAIGN_SAVED: string;
    CAMPAIGN_NOT_SAVED: string;
    CAMPAIGN_COPY_QUESTION: string;
    CAMPAIGN_COPIED: string;
    CAMPAIGN_EDITED: string;
    NEW_CAMPAIGN: string;
    CAMPAIGN_WILL_REMOVE: string;
    CAMPAIGN_REMOVED: string;
    NO_CREATED_YET: string;
    NOT_FOUND: string;
    DELETED: string;
    REDIRECT: string;
    CHECKBOXES_OS_REQUIRED: string;
    MIN_CPM_LOADING: string;
    CAMPAIGNS_ERROR_GET_LIST: string;
    CAMPAIGNS_ERROR_GET_SINGLE: string;
    CAMPAIGNS_ERROR_GET_SINGLE_CAMPAIGN_EDIT: string;
    CAMPAIGNS_GEO_POPUP: string;
    CAMPAIGNS_FILTER_POPUP: string;
    CAMPAIGNS_LANGUAGE_POPUP: string;
    CAMPAIGNS_CATEGORY_POPUP: string;
    CAMPAIGNS_SSP_POPUP: string;
    CAMPAIGNS_BIDDER_ERROR: string;
    ANALYTIC_GET_ERROR: string;
    ANALYTICS_BLOCK_ERROR: string;
    BLOCK_SOURCE: string;
    BLOCKED_SOURCE: string;
    ANALYTICS_SOURCE_BLOCKED: string;
    ANALYTICS_ERROR_WHEN_SORT: string;
    ANALYTICS_ERROR_WHEN_RENDER_CHARTS: string;
    USERNAME: string;
    ENTER_USERNAME: string;
    PASSWORD: string;
    ENTER_PASSWORD: string;
    EMAIL: string;
    ENTER_EMAIL: string;
    FORGOT_PASSWORD: string;
    SIGN_IN: string;
    RECOVERY_PASSWORD: string;
    ALREADY_HAVE_ACCOUNT: string;
    NOT_VALID_USER: string;
    CREDENTIALS_IS_WRONG: string;
    AUTH_ATTEMPTS_LIMIT_IS_REACHED: string;
    TOKEN_IS_WRONG: string;
    TOKEN_IS_EXPIRED: string;
    TOKEN_IS_DISABLED: string;
    ACCOUNT_IS_WAITING_FOR_APPROVAL: string;
    ACCOUNT_IS_REJECTED: string;
    ACCOUNT_IS_DISABLED: string;
    ACCOUNT_IS_DELETED: string;
    LOGIN_CORRECT: string;
    REGISTER_CORRECT: string;
    REGISTER_CORRECT_CONTACT_SHORTLY: string;
    RECOVER_CORRECT: string;
    FORGOT_CORRECT: string;
    FORGOT_WRONG_EMAIL: string;
    FORGOT_NETWORK_ERROR: string;
    REGISTRATION_SERVER_ERROR: string;
    LOGIN_SERVER_ERROR: string;
    RECOVER_SERVER_ERROR: string;
    ADVERTISER_NOT_ONE: string;
    ADVERTISER_CANNOT_CHECK: string;
    PASSWORDS_DONT_MATCH: string;
    NO_DATA: string;
    LOADING: string;
    UNDO: string;
    BLOCKED: string;
    UNKNOWN_API_ERROR: string;
    ACTION_TERMINATED: string;
    FORM_INCORRECT: string;
    INCORRECT_VALUE: string;
    CANNOT_SWITCH: string;
    CANNOT_REMOVE: string;
    LEAVE_CONFIRM: string;
    NETWORK_ERROR: string;
    SWITCHER_ERROR_DRAFT: string;
    CHANGES_SAVED: string;
    CHANGES_NOT_SAVED: string;
    COPY_SUCCESS: string;
    COPY_ERROR: string;
    COPY: string;
    EDIT: string;
    DELETE: string;
    ON: string;
    OFF: string;
    NUMBER_OF_COPIES: string;
    PRICING: string;
    NAME: string;
    FIRST_NAME: string;
    LAST_NAME: string;
    PHONE: string;
    COMPANY: string;
    INCLUDE: string;
    EXCLUDE: string;
    PREVIOUS: string;
    PREV: string;
    NEXT: string;
    SAVE: string;
    TOTAL: string;
    DAILY: string;
    TYPE: string;
    URL: string;
    SIZE: string;
    UPLOAD: string;
    FILTER_NO_RESULTS: string;
    TODAY: string;
    YESTERDAY: string;
    LAST_7: string;
    LAST_30: string;
    THIS_MONTH: string;
    LAST_MONTH: string;
    ITEMS: string;
    ONE: string;
    ITEM: string;
    TERMS: string;
    DASHBOARD: string;
    CAMPAIGNS: string;
    ANALYTICS: string;
    BLOCKED_SOURCES: string;
    SETTINGS: string;
    LOGOUT: string;
    CANCEL: string;
};
