import { NotifierService } from './notifier.service';
import * as i0 from "@angular/core";
declare type notify = {
    id: number;
    message: string;
    type: string;
    begin: boolean;
    isDeletableNotifier: boolean;
};
export declare class NotifierComponentClass {
    private notifierService;
    showTimer: number;
    max: number;
    private notifySubscription;
    private clearSubscription;
    notifiesStack: Array<notify>;
    private timer$;
    clearNotification(id: number): void;
    private clearAllNotifies;
    private slide;
    constructor(notifierService: NotifierService);
    getNotificationIcon(type: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotifierComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotifierComponentClass, "epom-notifier", never, { "showTimer": "time"; "max": "maxNotes"; }, {}, never, never, false>;
}
export {};
