import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { Picker, CheckboxClasses } from './picker.types';
import { BehaviorSubject, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PickerComponent implements OnInit, OnDestroy {
    checkboxes: BehaviorSubject<Array<Picker>>;
    oneInterval: boolean;
    valid: boolean;
    errorMSG: string;
    newValuesPicked: EventEmitter<any>;
    subscriptions: Subscription;
    checkboxesList: any;
    classes: Array<CheckboxClasses>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    getClasses(checked: boolean, index: number): {
        active: boolean;
        'left-side': boolean;
        'right-side': any;
        'center-side': boolean;
    } | {
        active: boolean;
        'left-side': any;
        'right-side': boolean;
        'center-side': any;
    };
    toggle(index: any): void;
    private fillCustomInterval;
    private clearCustomInterval;
    static ɵfac: i0.ɵɵFactoryDeclaration<PickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PickerComponent, "epom-picker", never, { "checkboxes": "checkboxes"; "oneInterval": "oneInterval"; "valid": "valid"; "errorMSG": "errorMSG"; }, { "newValuesPicked": "newValuesPicked"; }, never, never, false>;
}
