import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class KeyValuePipeClass implements PipeTransform {
    transform<T, U extends {
        [id: string]: T;
    } | {
        [id: number]: T;
    }>(value: U): Array<{
        key: keyof U;
        value: U[keyof U];
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<KeyValuePipeClass, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<KeyValuePipeClass, "keyValue", false>;
}
