import { EventEmitter, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { LabelsListType, OptionsConfigTypePopup } from '../../popup.interface';
import * as i0 from "@angular/core";
export declare class AutoLinkingComponentClass implements AfterViewInit {
    private formBuilder;
    private changeDetectionRef;
    allLabels: LabelsListType;
    endpointLabels: Array<string>;
    excludedLabels: Array<string>;
    optionsConfig: OptionsConfigTypePopup;
    submitAutoLinkingRules: EventEmitter<any>;
    autoLinkingForm: FormGroup;
    constructor(formBuilder: FormBuilder, changeDetectionRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    tagsChanges(): void;
    atLeastOneRequired(group: FormGroup): {
        [s: string]: boolean;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoLinkingComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutoLinkingComponentClass, "epom-popup-auto-linking", never, { "allLabels": "allLabels"; "endpointLabels": "endpointLabels"; "excludedLabels": "excludedLabels"; "optionsConfig": "optionsConfig"; }, { "submitAutoLinkingRules": "submitAutoLinkingRules"; }, never, never, false>;
}
