import { OperationType } from '../../../types';
export declare type BidModifiersCalculation = {
    [key: string]: {
        items: {
            name: string;
            value: BidModifierItemValue[];
        }[];
        name: string;
    };
};
export declare type BidModifierItemValue = {
    parsedDateTime?: {
        startDate: number;
        endDate: number;
        startTime: number;
        endTime: number;
    };
    entity?: string;
    multiplier?: number;
    id?: string;
    operationValue?: OperationType;
};
