import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { TargetingOptionsOsAndBrowser } from './targeting-options-os-and-browser.type';
import { Observable } from 'rxjs';
import { Select } from '../../../custom-select';
import * as i0 from "@angular/core";
export declare class PopupSelectVersionsComponentClass implements OnInit, OnDestroy {
    initialFormState: FormGroup;
    targetingData: Array<TargetingOptionsOsAndBrowser>;
    popupSelectedOutput: EventEmitter<any>;
    checkAvailabilityForm: EventEmitter<any>;
    targetingForm: FormGroup;
    conditionsList: Observable<Array<Select>>;
    private readonly destroy$;
    ngOnInit(): void;
    changeCheckboxState(event: any, control: string): void;
    emitData(): void;
    private disableVersionControlsByInit;
    private trackCheckboxChanges;
    private manageVersionControl;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupSelectVersionsComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopupSelectVersionsComponentClass, "epom-popup-select-versions", never, { "initialFormState": "initialFormState"; "targetingData": "targetingData"; }, { "popupSelectedOutput": "popupSelectedOutput"; "checkAvailabilityForm": "checkAvailabilityForm"; }, never, never, false>;
}
