import { OnInit, ElementRef, AfterViewInit, ChangeDetectorRef, OnDestroy, EventEmitter } from '@angular/core';
import { StorageService } from '../../../storage-service';
import * as i0 from "@angular/core";
export declare class PopupStripeComponentClass implements OnInit, AfterViewInit, OnDestroy {
    private cd;
    private storageService;
    cardNumber: ElementRef;
    cardExpiry: ElementRef;
    cardCvc: ElementRef;
    amount: number;
    publicKey: string;
    newData: EventEmitter<any>;
    private stripe;
    private elements;
    private cardNumberElement;
    private cardExpiryElement;
    private cardCVCElement;
    private cardHandler;
    error: string;
    constructor(cd: ChangeDetectorRef, storageService: StorageService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onChange({ error }: {
        error: any;
    }): void;
    onSubmit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupStripeComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopupStripeComponentClass, "epom-popup-stripe", never, { "amount": "amount"; "publicKey": "publicKey"; }, { "newData": "newDataFromStripeAPI"; }, never, never, false>;
}
