import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { Subscription } from 'rxjs';
import { SpinnerService } from '../../spinner.service';
import * as i0 from "@angular/core";
export declare class SpinnerForAnalyticsQueryComponent implements OnInit, OnDestroy, AfterViewInit {
    spinnerService: SpinnerService;
    protected renderer: Renderer2;
    isOpened: boolean;
    spinnerEventSubscription: Subscription;
    private logger;
    placement: string;
    subscription: Array<Subscription>;
    toggleFadeElements: Array<ElementRef>;
    height: string;
    cancelRequestEmitter: EventEmitter<any>;
    constructor(spinnerService: SpinnerService, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggleElement(): void;
    cancelRequest(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerForAnalyticsQueryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerForAnalyticsQueryComponent, "spinner-for-analytics-query", never, { "placement": "placement"; "subscription": "subscription"; "toggleFadeElements": "toggleFadeElements"; "height": "height"; }, { "cancelRequestEmitter": "cancelRequestEmitter"; }, never, never, false>;
}
