import { Subject } from 'rxjs';
export declare type OptionsConfigType = {
    optionsSubject?: Subject<Array<any>>;
    displayProperty?: string;
    outputProperty?: string;
    backgroundProperty?: string;
};
export declare type RgbType = {
    red: number;
    green: number;
    blue: number;
};
export declare type OptionsList = Array<OptionType>;
export declare type OptionType = {
    value: string;
    text: string;
    background?: string;
    deleteable?: boolean;
};
