import { AbstractControl, FormGroup, ValidationErrors, ValidatorFn } from '@angular/forms';
export declare const minDateValidator: (minDate: string) => ValidatorFn;
export declare const compareDates: (form: FormGroup) => {
    compareDates: {
        valid: boolean;
    };
} | null;
export declare class PasswordValidation {
    static matchPassword: (passwordLength?: number) => (abstractControl: AbstractControl) => {
        PasswordLength: {
            valid: boolean;
        };
    } | {
        MatchPassword: {
            valid: boolean;
        };
    };
    static confirmPasswordValidator(passwordControlName: string): (confirmPasswordControl: AbstractControl) => ValidationErrors | null;
}
export declare const XMLValidator: (control: AbstractControl) => ValidationErrors | null;
