export declare const FLOAT_REGEXP = "^[-+]?\\d+(\\.\\d+)?$";
export declare const PRICE_REGEXT = "^[-+]?\\d+(\\.\\d{1,2})?$";
export declare const NUMBER_REGEXP = "[0-9]+";
export declare const NOT_CIRYLLIC_REGEX = "^[a-zA-Z0-9*-/_?!., |:\n]+$";
export declare const SSP_LABEL_REGEX = "^[a-zA-Z0-9.-]+$";
export declare const NOT_SPECIAL_CHARS_REGEX = "^[a-zA-Z\u0430-\u044F\u0410-\u042F0-9*-/_?!., |:\n]+$";
export declare const EMAIL_REGEXP = "[-a-zA-Z0-9_.+]+@[a-zA-Z0-9_.-]+?\\.[a-zA-Z]{2,}";
export declare const EMAIL_MULTIPLE_REGEXP = "^([a-z][a-z0-9_.]+@([a-z0-9-]+\\.)+[a-z]{2,6}(, )*)+$";
export declare const PHONE_REGEXP = "^\\+?\\d+[ \\()-]*\\d+[ \\()-]*\\d+[0-9 \\()-]+$";
export declare const WITHOUT_WHITESPACES: RegExp;
export declare const WITHOUT_SEPCIALCHARS_NOT_ONLY_WHITESPACES: RegExp;
export declare const MAX_NAME_SYMBOLS = 150;
export declare const MAX_FLOAT_SYMBOLS = 10;
export declare const NOT_ONLY_WHITESPACES: RegExp;
export declare const NOT_START_WITH_WHITESPACE: RegExp;
export declare const URL_REGEXP: RegExp;
export declare const URL_WITH_MACROS_REGEXP: RegExp;
export declare const DOMAIN_REGEXP: RegExp;
export declare const floatValidators: import("@angular/forms").ValidatorFn[];
export declare const namesValidators: import("@angular/forms").ValidatorFn[];
export declare const namesCiryllicValidators: import("@angular/forms").ValidatorFn[];
