# Epom-storage-service

### Service that organaze work with different types of storages
### No Input props (@Input)
### No Output props (@Output)
### Service public methods
* **setPrefix**(prefix: string): void - setting prefix for our data in storages (setup once on app starting);
* **get**(key: string): any - get from storage by key property will search in localStorage, then in sessionStorage and then in ObjectStorage;
* **SetInLocal**(key: string, value: any): void - setting data in localStorage;
* **SetInSession**(key: string, value: any): void - setting data in sessionStorage;
* **SetInObject**(key: string, value: any): void - setting data in ObjectStorage;
* **clear**(key: string): void - clear data by key from all of storages;
* **markAsRemovable**(key: Array<string> | string): void - marking current storage keys as removable;
* **clearRemovable**(): void - remove all data by keys that was marked as removable;
