# Epom-submenu

### Module that creates sub-menu on page

### Prerequisites

| Name | Description |
| ---- | ----------- |
|`epom-ng2-pipes-directives/PipesDirectives.module`| we need dropDown directive |

### Parts:
*epom-sub-menu.module

*epom-sub-menu.component

*epom-sub-menu.service

## Input properties (@Input)
| Name             | Type | Description                   |
| ---------------- | ---- | ----------------------------- |
| **typeMenu**     |  'dropdown' OR 'list' | Type of view submenu |
| **activeName**   | string | Component receive information about initial selected value |

### No Output props (@Output)
### Service public methods
* **updateSubMenu**(menu: Array<{name: string, path: Array<string>, queryParams: {[key: string]: string}}>): void - method that providing new menu items into sub-menu component. Example:
```javascript
this.sm.updateSubMenu([
{name: someItem, path: ['/first', 'second'], queryParams: {param: 'param'}},
{name: someItem2, path: ['/first', 'second'], queryParams: {param: 'param2'}},
]);
```
