# epom-ng2-url-params-service

##### Usefull service for working with url parameters
### No Input props (@Input)
### No Output props (@Output)
### Service public methods
| Syntax      | Description |
| ----------- | ----------- |
| **getAll**(): Params | return object with URL parameters or {} |
| **set**(params: Params): void | set only given parameters (ignores all parameters in URL, and remove them) |
| **setWithout**(params: Params, without: Array<string>) | set given parameters (ignores all parameters in URL, and remove them, exclude parameters in array *Â«withoutÂ»*) |
| **add**(params: Params): void | add given parameters to current URL parameters, overwrite if name matches |
| **remove**(paramKeys: Array<string>): void | remove given parameters from URL |
| **contains**(paramKeys: Array<string>): boolean | true, if every paramKeys are present in the URL parameters|
| **containsAnyOf**(paramKeys: Array<string>): boolean | true, if some of paramKeys are present in the URL parameters |
